#
# Conditional build:
%bcond_without	guile	# Guile embedded scripting
#
Summary:	GNU Make
Summary(de.UTF-8):	GNU Make
Summary(es.UTF-8):	GNU Make
Summary(fr.UTF-8):	L'utilitaire make de GNU
Summary(pl.UTF-8):	Narzędzie GNU Make
Summary(pt_BR.UTF-8):	GNU Make
Summary(ru.UTF-8):	GNU Make
Summary(tr.UTF-8):	GNU Make
Summary(uk.UTF-8):	GNU Make
Name:		make
Version:	4.0
Release:	1
Epoch:		1
License:	GPL v3+
Group:		Development/Building
Source0:	http://ftp.gnu.org/gnu/make/%{name}-%{version}.tar.bz2
# Source0-md5:	571d470a7647b455e3af3f92d79f1c18
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	ab6da7a1ba3bcf9e86e4e3fdecca61a7
Patch0:		%{name}-info.patch
Patch1:		%{name}-getcwd.patch
URL:		http://www.gnu.org/software/make/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	gettext-devel >= 0.18.1
%{?with_guile:BuildRequires:	guile-devel >= 2.0}
BuildRequires:	pkgconfig
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files. Make
allows users to build and install packages without any significant
knowledge about the details of the build process. The details about
how the program should be built are provided for make in the program's
makefile.

%description -l de.UTF-8
Das MAKE-Programm dient zur Koordination der Kompilierung und zum
Linken eines Satzes von Quellen in ein Programm, wobei nur die
erforderlichen Komponenten neu kompiliert werden, so daß der
Entwickler eine Menge Zeit spart. Aber damit sind die Fähigkeiten von
MAKE noch lange nicht erschöpft - lesen Sie die Info-Dokumente.

%description -l es.UTF-8
El programa make se usa para coordinar la compilación y linkedición de
un conjunto de programas fuentes en programas ejecutables,
recompilando solamente lo que es necesario, de este modo ahorra mucho
tiempo del programador. De hecho, make puede hacer mucho más - lee la
documentación.

%description -l fr.UTF-8
make sert à coordonner la compilation et l'édition de liens d'un
ensemble de sources pour produire un programme, ne recompilant que ce
qui est nécessaire et économisant ainsi beaucoup de temps. En fait,
make peut faire beaucoup plus -- voir les docs info.

%description -l pl.UTF-8
Make jest używany do automatyzacji procesów kompilowania kodu
źródłowego i konsolidacji kodu programów wykonując tylko te czynności
które są potrzebne w razie modyfikacji plików przetwarzanych przez
make oszczędzając tym samym czas. Make może wykonywać o wiele więcej
różnych typów operacji związanych z przedtwarzaniem wsadowym. Pełen
opis make znaleźć można na stronach info ("info make").

%description -l pt_BR.UTF-8
O programa make é usado para coordenar a compilação e linkedição de um
conjunto de programas fontes em programas executáveis, recompilando
somente o que é necessário, desse modo economizando um grande tempo do
programador. De fato, make pode fazer muito mais - leia a
documentação.

%description -l ru.UTF-8
Программа make используется для управления процессом компилляции и
линковки набора исходных текстов в программу, перекомпилляции только
того, что необходимо и сохранения, таким образом, кучи времени
разработчику. На самом деле, она может намного больше - прочитайте
документацию в формате info...

%description -l tr.UTF-8
Bu program kaynak kodlarının derlenmesini ve bağlanmasını koordine
etmek için kullanılır. Sadece gerekli olan programları tekrar
derleyerek zaman yitirilmesini önler.

%description -l uk.UTF-8
Програма make використовується для керування процесом компіляції та
лінковки набору вихідних текстів у програму, перекомпіляції тільки
того, що потрібно і збереженні, таким чином, часу програміста.
Фактично, make може набагато більше - прочитайте документацію в
форматі info...

%package devel
Summary:	Header file for GNU Make modules interface
Summary(pl.UTF-8):	Plik nagłówkowy interfejsu modułów GNU Make'a
Group:		Development/Libraries
# doesn't require base

%description devel
Header file for GNU Make modules interface.

%description devel -l pl.UTF-8
Plik nagłówkowy interfejsu modułów GNU Make'a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_guile:--without-guile}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/env.d,%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf make $RPM_BUILD_ROOT%{_bindir}/gmake

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.make-non-english-man-pages

echo '#MAKE="%{_bindir}/make -j2"' > $RPM_BUILD_ROOT/etc/env.d/MAKE

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
%env_update

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
%env_update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gmake
%attr(755,root,root) %{_bindir}/make
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/MAKE
%{_mandir}/man1/make.1*
%lang(da) %{_mandir}/da/man1/make.1*
%lang(es) %{_mandir}/es/man1/make.1*
%lang(ja) %{_mandir}/ja/man1/make.1*
%lang(nl) %{_mandir}/nl/man1/make.1*
%lang(pl) %{_mandir}/pl/man1/make.1*
%{_infodir}/make.info*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gnumake.h
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/make.git;a=log;h=master

* Thu Oct 31 2013 Jakub Bogusz <qboosh@pld-linux.org> a404ec9
- dropped memory,newline patches (nobody cared since 3.82)
- updated BRs, added guile bcond
- package header file in -devel

* Tue Oct 29 2013 Kacper Kornet <draenog@pld-linux.org> 109b7c7
- release 1

* Thu Oct 24 2013 Kacper Kornet <draenog@pld-linux.org> 3a265b6
- updated to 4.0
- archives-many-objs.patch included upstream
- the relevant code for MAKEFLAGS-reexec.patch has been removed upstream
  (see 0a81d50d66565fd3e930fadaadc4a5cb9381d840 in upstream repository)

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 5afa72f
- added archives-many-objs patch from upstream/gentoo (fixes gnu-efi build)
- release 3

* Wed Aug 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 22444f5
- rel 2; fix glibc make install-headers issue

* Sat Aug 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 514e1e3
- updated to 3.82
- updated info,getcwd patches
- removed obsolete rlimit,jobserver,fdleak,strcpy-overlap patches

* Fri Jul 31 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ae2b72b
- rel 4; strcpy patch from fc

* Sun Feb 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> aeca445
- more fc fixes

* Sun Feb 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 419cc74
- more from fc

* Sun Feb 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bf8b5d8
- rel 3; bugfixes from fc

* Sun Feb 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 64e9dbe
- from fc

* Sun Sep 07 2008 Elan Ruusamäe <glen@pld-linux.org> a746908
- fix-info-dir existence is optional

* Sat Sep 06 2008 Tomasz Pala <gotar@pld-linux.org> ade7713
- added /etc/env.d/MAKE

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> c8a1575
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 044fae7
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 367b4f5
- s/enviroment/environment/

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 137c1b7
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b2e9089
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 99d159a
- converted to UTF-8

* Thu Jan 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 25dcb82
- make doesn't use libtool
- automake already copies config.sub
- ac/am versions

